Since we have received a couple of inquiries regarding the compatibility of Mailster with Joomla 5, we wanted to share that:

  • the current, latest version Mailster 1.7.10 is not Joomla 5 compatible
  • we are actively working on a new release to support Joomla 5 as well

Once the new version is ready, we will update this info.

Login / Sign-Up

We use cookies on our website. Some of them are essential for the operation of the site, while others help us to improve this site and the user experience (tracking cookies). You can decide for yourself whether you want to allow cookies or not. Please note that if you reject them, you may not be able to use all the functionalities of the site.